<!DOCTYPE html>
<html>
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
    <!-- Bootstrap 4 -->
    <script src="<%= base_url %>plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">

    <script src="http://cdnjs.cloudflare.com/ajax/libs/toastr.js/2.0.2/js/toastr.min.js"></script>
    <link rel="stylesheet" href="http://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/css/toastr.min.css">
    <script src="https://cdn.cinetpay.com/seamless/main.js"></script>
    <style>
        .sdk {
            display: block;
            position: absolute;
            background-position: center;
            text-align: center;
            left: 50%;
            top: 50%;
            transform: translate(-50%, -50%);
        }
    </style>
    <script>
        var transaction_id="transaction_id";
        var finalamount="<%=amount%>"
        var promo="null";
      async  function checfkout(){
        const url='<%=base_url%>/api/common/postPaymentforcombo';
        const data={
            "id":"<%=order_id%>",
            "finalamount":finalamount,
            "promo":promo,
            "amount":"<%=amount%>",
            "transaction_id":transaction_id,
            "method":"cart"

        }
        const requestOptions = {
            method: 'POST',
            headers: { 'Content-Type': 'application/json' },
            body: JSON.stringify(data)
        };

    await fetch(url,requestOptions)
    .then(function (response) {

        //alert("<%=base_url%>/api/common/paymentsucess/success=true&id=<%=order_id%>&type=combo");
        console.log(response)
      console.log(JSON.stringify(response.data));
      //window.location="<%=base_url%>/api/common/paymentsucess/success=true"
      window.location="<%=base_url%>/api/common/paymentsucess/success=true&id=<%=order_id%>&type=combo"
    })
    .catch(function (error) {
      console.log(error);
    });
        }
        function checkout() {
            console.log("window",window)
            console.log("finalamount",finalamount)
            const url='<%=base_url%>/api/payment/cinetpaysuccess/<%=user_id%>/'+finalamount+'/'+promo+"/<%=amount%>";
                console.log(url)
            
            console.log(url)
            CinetPay.setConfig({
                apikey: "<%=key%>",//   YOUR APIKEY
                site_id: '914100',//YOUR_SITE_ID
                notify_url: 'http://dsccc.com/notify/',
                mode: 'production'
            });
            CinetPay.getCheckout({
                transaction_id: Math.floor(Math.random() * 100000000).toString(),
                amount: finalamount,
                "currency": "XOF",
                "alternative_currency": "",
                "description": " TEST INTEGRATION ",
                "customer_id": "172",
                "customer_name": "KOUADIO",
                "customer_surname": "Francisse",
                "customer_email": "harrissylver@gmail.com",
                "customer_phone_number": "+225004315545",
                "customer_address": "Antananarivo",
                "customer_city": "Antananarivo",
                "customer_country": "CM",
                "customer_state": "CM",
                "customer_zip_code": "065100",
                "notify_url": "https://webhook.site/d1dbbb89-52c7-49af-a689-b3c412df820d",
                "return_url": "https://webhook.site/d1dbbb89-52c7-49af-a689-b3c412df820d",
                "channels": "ALL",
                "metadata": "user1",
                "lang": "FR",
                "invoice_data": {
                    "Donnee1": "",
                    "Donnee2": "",
                    "Donnee3": ""
                }
            });
            CinetPay.waitResponse(async function(data) {
              if (data.status == "REFUSED") {
                if (alert("Your payment failed")) {
                  window.location.reload();
                }
              } else if (data.status == "ACCEPTED") {
                const url='<%=base_url%>/api/payment/cinetpaysuccess/<%=user_id%>/'+finalamount+'/'+promo;
                console.log(url)
               await fetch(url,{method:get})
               .then(res=>res.json())
               .then(data=>{
                if(data.status){
                    alert(data.message);
                }else{
                    alert(data.errmessage)
                }
               })
              }
            });
            CinetPay.onError(function(data) {
                console.log(data);
            });
        }
    </script>
</head>
<body>
    </head>
    <body>
        <div class="sdk">
        <div class="card text-center" style="min-width: 400px;min-height:230px">
            <div class="card-header">
                <h1 id="amount"><%=amount%> CFA</h1>
            </div>
            <div class="card-body">
                <div class="d-grid gap-2">
                    <button onclick="checfkout()" class="btn btn-primary">Checkout</button>
                  </div>
               
              <!-- <p class="card-text">With supporting text below as a natural lead-in to additional content.</p> -->
              <!-- <a onclick="showbox()" style="font-size:11px ;float:right">Avoir un code promo?</a> -->
            </div>
            <div class="input-group mb-3" id="promodiv" style="display:none">
                <input type="text" class="form-control" id="promocode" aria-label="Recipient's username" aria-describedby="button-addon2" style="height:30px ;width:200px;margin-left:10px"/>
                <button onClick="checkpromo()" class="btn btn-primary type="button" id="button-addon2" style="height:30px ;margin-right:10px">Vérifier</button>
                <!-- <input type="text" class="form-control" placeholder="Recipient's username" aria-label="Recipient's username" aria-describedby="button-addon2">
                <button class="btn btn-outline-secondary" type="button" id="button-addon2">Button</button> -->
              </div>
            <!-- <div class="form-group" style="display:none;margin-right: 20px;" id="promodiv">
                <input type="text" id="promocode" class="" style="margin-right:0px;display:inline-flex;border: 1px solid;"/>
                <button onClick="checkpromo()" class="btn btn-info btn-sm">Submit</button>
               </div> -->
          </div>
</div>


        <!-- <div class="sdk">
            <h1 id="amount"><%=amount%> CFA</h1>
            <button onclick="checkout()" class="btn btn-primary">Checkout</button>
            <h1> </h1>
            <h1> </h1>
            <a onclick="showbox()">Avoir un code promo?</a>
           <div class="form-group" style="display:none;margin-right: 20px;" id="promodiv">
            <input type="text" id="promocode" class="" style="margin-right:0px;display:inline-flex;border: 1px solid;"/>
            <button onClick="checkpromo()" class="btn btn-info btn-sm">Submit</button>
           </div>
            
        </div> -->
        <script>
            function showbox(){
                // let promol=document.getElementById("promodiv");
                let promol=$("#promodiv");
               
                $('#promodiv').show();
                // promol.show();
                // promol.style.display = 'block';  
            }
            function checkpromo(){
                let promol=document.getElementById("promocode").value;
                const url="<%=base_url%>/api/client/checkpromocode/"+promol;
                const requestOptions = {
                    method: 'get'
                    // headers: { 'Content-Type': 'application/json' }
                   
                };
                fetch(url, requestOptions)
                .then(response => response.json())
                .then(data => {
                    if(data.status){
                       var elem=document.getElementById("amount");
                       finalamount=<%=amount%>-data.data[0].discountamount;
                       promo=data.data[0].code

                       elem.innerHTML= "<s style='color:red;font-size:25px'><%=amount%></s> "+finalamount+" CFA"
                    //    elem.innerHTML=<%=amount%>-data.data[0].discountamount+" CFA";
                       console.log(data,data.data[0].discountamount,elem.value);
                    //    let amounth=$("#amount");
                    //    elem.innerHTML="<del><%=amount%></del> <ins><%=amount%>-data.data[0].discountamount+" CFA"</ins>"
                       toastr.success(data.message);
                      
                    }else{
                        toastr.error(data.errmessage);
                    }
                })
            }
        </script>
    </body>
</html>  